Mail archive
alpine-aports

[alpine-aports] [PATCH 1/2] testing/ucspi-tcp6: New aport

From: Jesse Young <jlyo_at_jlyo.org>
Date: Sun, 26 Jul 2015 21:08:05 +0000

---
 testing/ucspi-tcp6/APKBUILD | 58 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 58 insertions(+)
 create mode 100644 testing/ucspi-tcp6/APKBUILD
diff --git a/testing/ucspi-tcp6/APKBUILD b/testing/ucspi-tcp6/APKBUILD
new file mode 100644
index 0000000..a9535a4
--- /dev/null
+++ b/testing/ucspi-tcp6/APKBUILD
_at_@ -0,0 +1,58 @@
+# Contributor: Jesse Young <jlyo_at_jlyo.org>
+# Maintainer:
+pkgname=ucspi-tcp6
+pkgver=1.00a
+pkgrel=0
+pkgdesc="IPv6 enabled ucspi-tcp superserver"
+url="http://www.fehcom.de/ipnet/ucspi-tcp6.html"
+arch="all"
+license="public-domain"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+conflicts="ucspi-tcp"
+provides="ucspi-tcp"
+source="http://www.fehcom.de/ipnet/${pkgname}/${pkgname}-${pkgver}.tgz"
+
+_builddir="${srcdir}/host/${pkgname}-${pkgver%%[a-zA-Z]}"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "${_builddir}/src"
+
+	echo "${CC:-"gcc"} ${CFLAGS}" > conf-cc
+	echo "${CC:-"gcc"} ${LDFLAGS}" > conf-ld
+	echo "/usr" > home
+
+	make || return 1
+}
+
+package() {
+	local f
+	cd "$_builddir"
+	mkdir -p "$pkgdir"/usr/bin
+	for f in $(cat package/commands-base); do
+		cp "src/${f}" "${pkgdir}/usr/bin/${f}"
+	done
+
+	for f in $(cd man && echo *.[0-9] ); do
+		mkdir -p "${pkgdir}/usr/share/man/man${f##*[a-zA-Z.]}"
+		cp "man/${f}" "${pkgdir}/usr/share/man/man${f##*[a-zA-Z.]}/${f}"
+	done
+	mkdir -p "${pkgdir}/usr/share/licenses/${pkgname}"
+	cp doc/LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+}
+
+md5sums="24909412ef7d7ecb32cf3132989b78ea  ucspi-tcp6-1.00a.tgz"
+sha256sums="b0f6df425c2f3e90c89a94c501414834ea1bc0b66b8ba381fda8ca02f25d1608  ucspi-tcp6-1.00a.tgz"
+sha512sums="94c623721d19d047aed4fbffbf2702f51588426d0689102478c98bc91ca1f60f65d493dcad3681db63f231ea811dad2c1c7c7c6ead45d40a490f743212c10908  ucspi-tcp6-1.00a.tgz"
-- 
2.4.6
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Jul 26 2015 - 21:08:05 GMT